/* additionally style for headline */

.center {
  margin-left: auto;
  margin-right: auto;
}
.margin {
  margin-bottom: 3em;
}

/* change original color of btn-primary and btn-success for more accessibility (better color contrast)*/

.btn-primary {
  background-color: #008080 !important;
}

.btn-primary:hover {
  background-color: #096767 !important;
}

/**
    Info Button and Info Text Style
*/

.btn-game-info {
  float: right;
}

.btn-game-info:hover {
  cursor: pointer;
  color: blue;
}

.btn-game-info-frame {
  background-color: whitesmoke;
  border: 0.1em solid #808080;
  padding: 0.1em;
  width: 1.1em !important;
}

.btn-game-info-frame:hover {
  border: 0.1em solid blue;
}

#btn_close_message {
  margin-top: -0.4em;
  float: right;
  color: #808080;
  font-weight: bold;
  font-size: 2.5em;
  cursor: pointer;
}

#btn_close_message:hover,
#btn_close_message:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.game-info-box {
  display: none;
  position: fixed;
  padding: 1em 1em 0 1em;
  z-index: 1; /*sit on top*/
  left: 25%;
  top: 25%;
  width: 50%;
  min-height: 11em;
  overflow: auto;
  background-color: whitesmoke;
  border: 2px solid #0000ee;

  outline: 999px solid rgba(0, 0, 0, 0.5); /*to darken everything around*/
}

/* CSS Style for all elements of the relational algebra task */

#values #table-left-title {
  float: left;
  padding-left: 25%;
  border: 1px solid black;
}

#values #table-left {
  float: left;
  padding-left: 15px;
}

#values {
  padding: 3px;
  width: 300px;
  margin-left: auto;
  margin-right: auto;
}

#values #table-right-title {
  float: right;
  padding-right: 25%;
  border: 1px solid black;
}

#values #table-right {
  padding-right: 15px;
  float: right;
}

#solution {
  padding: 15px;
}

#solution #title {
  text-align: center;
}

#solution #content table {
  margin-left: auto;
  margin-right: auto;
}

table#relAlgebra,
table#relAlgebraR,
table#relAlgebraS {
  font-family: Arial;
  font-size: 0.93em;
  border: 1px solid #333;
}

table thead {
  background-color: #efefef;
}

table tr td {
  padding: 10px;
}

.txtInput {
  width: 40px;
  text-align: center;
}

.buttonArea {
  width: 400px;
  margin: 0 auto;
  height: 35px;
}

.buttonArea button {
  float: right;
  margin: 5px;
}

.result {
  width: 400px;
  margin-left: auto;
  margin-right: auto;
}

#positivResult {
  color: green;
  float: right;
}

#negativResult {
  color: red;
  float: right;
}

.clear {
  clear: both;
}

body {
  display: visible;
  background-color: #ffffff;
}
